package pps.core.prediction.service.data.third_current_well_condition;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class GetThirdCurrentWellConditionViewOutput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("下次启停时间")
    private Date nextTime;

    @XText("井口状态(开/停井)")
    private String wellStatus;

    @XText("累计产液量(m³)")
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    private Integer runningTime;

    @XText("来源系统")
    private String systemSource;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public Date getNextTime() {
        return this.nextTime;
    }

    public void setNextTime(Date value) {
        this.nextTime = value;
    }

    public String getWellStatus() {
        return this.wellStatus;
    }

    public void setWellStatus(String value) {
        this.wellStatus = value;
    }

    public BigDecimal getCumulativeProduction() {
        return this.cumulativeProduction;
    }

    public void setCumulativeProduction(BigDecimal value) {
        this.cumulativeProduction = value;
    }

    public Integer getRunningTime() {
        return this.runningTime;
    }

    public void setRunningTime(Integer value) {
        this.runningTime = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

}
