package pps.core.prediction.service.data.wellhead_daily_production_situation;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 油井状态
 *
 * @author ZWT
 * @date 2024/03/18 17:24
 */
@Data
public class GetWellRealPvInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
